#!/usr/bin/env kjscmd

//
// Example that uses KSystemTray
//

// Create the main window
mainwin = new QTextEdit(this);
mainwin.text = '<qt>This is the main window for a script that illustrates '
	     + 'the use of the <i>System Tray</i>.';

// Create the tray icon
trayicon = new KSystemTray( mainwin );

// Set the pixmap of the tray icon (we force it to be loaded from the cwd here)
cwd = (new QDir()).absPath();
trayicon.pixmap = trayicon.loadIcon( cwd + '/kjstray.png' );

// Ensure we quit when you choose the option from the tray item's menu
application.connect( trayicon, 'quitSelected()', 'quit()' );

// Get the context menu
var menu = trayicon.contextMenu();
menu.insertItem("My Item");

// Show both the main window and the icon
trayicon.show();
mainwin.show();

application.exec();
